io.vertx.rxjava.ext.auth.authorization

## Class AuthorizationProvider

- java.lang.Object
- - io.vertx.rxjava.ext.auth.authorization.AuthorizationProvider

- Direct Known Subclasses:
    JDBCAuthorization, JWTAuthorization, KeycloakAuthorization, MicroProfileAuthorization, MongoAuthorization, PropertyFileAuthorization, ScopeAuthorization, SqlAuthorization

      public class AuthorizationProvider
      extends Object

  The role of an AuthorizationProvider is to return a set of Authorization. Note that each AuthorizationProvider must provide its own unique Id

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AuthorizationProvider>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizationProvider(AuthorizationProvider delegate)`
    `AuthorizationProvider(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthorizationProvider` | `create(String id, Set<Authorization> authorizations)` create an authorization provider with the specified id and authorizations
    `boolean` | `equals(Object o)`
    `void` | `getAuthorizations(User user)` Updates the user with the set of authorizations.
    `void` | `getAuthorizations(User user, Handler<AsyncResult<Void>> handler)` Updates the user with the set of authorizations.
    `AuthorizationProvider` | `getDelegate()`
    `String` | `getId()` returns the id of the authorization provider
    `int` | `hashCode()`
    `static AuthorizationProvider` | `newInstance(AuthorizationProvider arg)`
    `Single<Void>` | `rxGetAuthorizations(User user)` Updates the user with the set of authorizations.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AuthorizationProvider> __TYPE_ARG

  - ### Constructor Detail

    - #### AuthorizationProvider

          public AuthorizationProvider(AuthorizationProvider delegate)

    - #### AuthorizationProvider

          public AuthorizationProvider(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AuthorizationProvider getDelegate()

    - #### create

          public static AuthorizationProvider create(String id,
                                                     Set<Authorization> authorizations)

      create an authorization provider with the specified id and authorizations
      Parameters:
        `id` -
        `authorizations` -
      Returns:

    - #### getId

          public String getId()

      returns the id of the authorization provider
      Returns:

    - #### getAuthorizations

          public void getAuthorizations(User user,
                                        Handler<AsyncResult<Void>> handler)

      Updates the user with the set of authorizations.
      Parameters:
        `user` - user to lookup and update
        `handler` - result handler

    - #### getAuthorizations

          public void getAuthorizations(User user)

      Updates the user with the set of authorizations.
      Parameters:
        `user` - user to lookup and update

    - #### rxGetAuthorizations

          public Single<Void> rxGetAuthorizations(User user)

      Updates the user with the set of authorizations.
      Parameters:
        `user` - user to lookup and update
      Returns:

    - #### newInstance

          public static AuthorizationProvider newInstance(AuthorizationProvider arg)

Copyright © 2021 Eclipse. All rights reserved.